Package io.github.jdbcx.extension

# Class BridgeDriverExtension

java.lang.Object
io.github.jdbcx.extension.BridgeDriverExtension

All Implemented Interfaces:
  `DriverExtension`, `Comparable<DriverExtension>`

public class BridgeDriverExtension extends Object implements DriverExtension

## Field Summary

Fields
Modifier and Type
Field
Description
`static final List<Option>`
`OPTIONS`

### Fields inherited from interface io.github.jdbcx.DriverExtension

`DEFAULT_JDBC_TABLE_TYPE, JDBC_TABLE_FIELDS, PROPERTY_BRIDGE_TOKEN, PROPERTY_BRIDGE_URL, PROPERTY_PATH, PROPERTY_PRODUCT, PROPERTY_USER`

## Constructor Summary

Constructors
Constructor
Description
`BridgeDriverExtension()`

## Method Summary

Modifier and Type
Method
Description
`io.github.jdbcx.extension.BridgeDriverExtension.ActivityListener`
`createListener(QueryContext context, Connection conn, Properties props)`
Creates a connection listener.
`List<Option>`
`getDefaultOptions()`
Gets the default configuration options supported by this extension.
`String`
`getDescription()`
`String`
`getUsage()`
`boolean`
`requiresBridgeContext()`
Whether this extension requires bridge context(e.g. current DB product, user, and bridge config etc.) or not.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.github.jdbcx.DriverExtension

`compareTo, getAliases, getConfig, getConnection, getDefaultConfig, getName, getOptions, getSchemas, getTables, supportsDirectQuery, supportsInspection, supportsNoArguments`

## Field Details

### OPTIONS

public static final List<Option> OPTIONS

## Constructor Details

### BridgeDriverExtension

public BridgeDriverExtension()

## Method Details

### getDefaultOptions

public List<Option> getDefaultOptions()
Description copied from interface: `DriverExtension`
Gets the default configuration options supported by this extension.

Specified by:
  `getDefaultOptions` in interface `DriverExtension`
Returns:
  non-null default options

### createListener

public io.github.jdbcx.extension.BridgeDriverExtension.ActivityListener createListener(QueryContext context, Connection conn, Properties props)
Description copied from interface: `DriverExtension`
Creates a connection listener.

Specified by:
  `createListener` in interface `DriverExtension`
Parameters:
  `context` - query context
  `conn` - connection to listen
  `props` - connection properties, usually tailored for this extension
Returns:
  non-null connection listener

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `DriverExtension`

### getUsage

public String getUsage()

Specified by:
  `getUsage` in interface `DriverExtension`

### requiresBridgeContext

public boolean requiresBridgeContext()
Description copied from interface: `DriverExtension`
Whether this extension requires bridge context(e.g. current DB product, user, and bridge config etc.) or not.

Specified by:
  `requiresBridgeContext` in interface `DriverExtension`
Returns:
  true if bridge context is required; false otherwise